' "The Crash"
' Created with QDK 3.5 - UNREGISTERED VERSION

!include <q3ext.qlb>

define game <The Crash>
	asl-version <350>
	gametype singleplayer
	start <Crashed Helicopter>
	game author <Jordan>
	game info <Created with QDK 3.5 - UNREGISTERED EVALUATION VERSION.>
end define

define synonyms
end define

define room <Crashed Helicopter>
	look <This is the helicopter you were riding in. You were the only one buckled in, and the helicopter spiraled at high speeds. Everyone but you was thrown out, along with the pilot.>
	out <Yard>
	north <Cockpit>

	define object <Bench>
		alias <Seat>
		look <This is the seat you sat in when you were in the helicopter. It had storage for up to 4 people, but you were the only person sitting, and everyone else was pacing around the cramped helicopter.>
		take msg <It's part of the helicopter.>
		prefix <the>
	end define

end define

define room <Yard>
	look <There are many ghosts surrounding you, the helicopter, and the house. They seem to be holding ground, but they are in a complete circle around you, leaving your only choice to go into the mansion.>
	north <Porch>

	define object <Ghosts>
		look <They are encircling you, and don't appear to want to give you any ways out, but in.>
		take msg <I know you want to lift one and walk under it, but it's a ghost and you can't take it.>
		speak {
			say <Hi, Mr. Ghosts... could you please step aside so I could get out?>
			msg <That's not going to work.>
		}
	end define

end define

define room <Porch>
	look <This is the porch of the house. You should go inside the house, since that is the only way that isn't blocked by ghosts.>
	north <Living Room>
	south <Yard>

	define object <Rocking Chair>
		look <It's a very nice wooden rocking chair. It looks hand made, but someone might have lived here before.>
		take msg <You don't need it.>
	end define

	define object <Wooden End Table>
		look <It's a small, wooden end table next to the rocking chair.>
		take msg <Whaddaya need that for?>
	end define

end define

define room <Living Room>
	south <Porch>
	east <Kitchen>
	up <Stairs>
	command <use phone> msg <You pick up the phone and hold it to your ear, but nothing happens. You should examine it, and maybe see the problem.>

	define object <Sofa>
		look <It's an old, ripped up sofa. It looks like the normal kind you buy in stores, meaning someone lived here at one time.>
	end define

	define object <Broken Television>
		alias <TV>
		alt <Broken TV>
		look <Someone lived here at one time. This is a real, Sony television. It's small, it's black and white, and it's broken.>
		prefix <a>
	end define

	define object <Phone>
		look <Yes! A phone! Type use phone to call someone! Yes!>
		examine <It's not that helpful, because the line was CUT. Yes, cut.>
	end define

end define

define room <Kitchen>
	look <It's a small, cramped kitchen.  It appears to have a few of the necessities of a kitchen. A few.>
	west <Living Room>
	command <open refrigerator> {
		msg <It creaks open, powerless.>
		show <Meat>
	}
	command <close refrigerator> {
		msg <It hangs shut, magnets useless.>
		hide <Meat>
	}

	define object <Knife Block>
		look <It's a wooden knife block. It looks store-bought.>
		type <container>
	end define

	define object <Refrigerator>
		look <It's an old style refrigerator. It doesn't have anything in it, most likely. If it did, it would be rotten.>
		type <container>
		type <openable>
	end define

	define object <Meat>
		hidden
		type <poison>
	end define

	define object <Stove>
		look <It's an old stove. It probably doesn't have any gas left in its line.>
	end define

	define object <Sink>
		look <It's an old stone sink. It doesn't work. No chance it does.>
	end define

end define

define room <Cockpit>
	prefix <the>
	look <This is the cockpit. No pilot. There is a hole in the glass. Won't be seeing him anytime soon.>
	south <Crashed Helicopter>

	define object <Broken Glass>
		look <It's broken glass from the broken winshield. Apparently, someone (hint hint?) or something smashed through there.>
		take msg <What do you need this for?>
		prefix <some>
	end define

	define object <Seat>
		look <This is the pilot sits in. Or SAT in.>
		take msg <It's bolted to the floor.>
		prefix <a>
	end define

end define

define room <knife block_inventory>

	define object <Butcher Knife>
		alias <Knife>
	end define

	define object <Pare Knife>
		alias <Knife>
	end define

	define object <Bread Knife>
		alias <Knife>
	end define

end define

define room <Stairs>
	alias <steps>
	prefix <the>
	look <These are old wooden steps. Nothing fancy about them.>
	up <Upstairs Hallway>
	down <Living Room>

	define object <Banister>
		look <It's a wooden handrail running between you and the living room floor. It looks old.>
		prefix <a>
	end define

end define

define room <Upstairs Hallway>
	look <You see a note on the wall.>
	north <Room 3>
	south <Room 2>
	east <Room 1>
	down <Stairs>

	define object <Note>
		look <One of these 3 doors leads to a bedroom. The other 2 lead to death.>
		examine <It looks like a post it note.>
	end define

end define

define room <Room 1>
	west <Upstairs Hallway>
	script playerlose
end define

define room <Room 2>
	north <Upstairs Hallway>
	script playerlose
end define

define room <Room 3>
	look <This is the room. This is the room where you go to live. Well, there's an end table there with a drape cover.>
	south <Upstairs Hallway>

	define object <Ghost>
		look <This is the ghost that made you pass out, apparently.>
		prefix <a>
		invisible
	end define

	define object <End Table>
		look {
			msg <Do you want to look under the drapes?>
			choose <End Table>
		}
	end define

	define object <Telephone>
		alias <Phone>
		look <It's a telephone. No doubt cut also.>
		prefix <a>
	end define

end define

define text <intro>
You were on your way to a friend's house, when your helicopter crashed by a haunted mansion. Now you have to find a way out of the mansion and out of the forest you were stranded in.
end define

define text <win>
You escaped with your life, and the ghost was happy that his ring was found, although he couldn't actually wear it, since he was a ghost.
end define

define text <lose>
You died. Your friend will never get to see you again, and neither will anyone else you know.
end define

define selection <End Table>
	info <Do you look under the end table?>
	choice <Yes> {
		msg <You look under the table, and are shocked so much by a ghost under the table that you pass out.>
		reveal <Ghost>
		msg <You wake up on the bed, the ghost hovering over you.>
		msg <He begins to speak. At least you think it's the ghost.>
		say <Many scores of years ago, I lost a very valuable ring. If you can find the ring, I will activate the phone on the table.>
		wait <Press a key to continue.>
		choose <Look for Ring?>
	}
	choice <No> msg <You decide not to look under the end table, guessing it's just dust.>
end define
define selection <Look for Ring?>
	info <Do you look for the ring?>
	choice <Yes> {
		msg <You decide to look for it.>
		choose <Where?>
	}
	choice <No> {
		msg <You get up to walk away, but the ghost hurls you out the window.>
		playerlose
	}
end define
define selection <Where?>
	info <Where do you look for the ring?>
	choice <Under the Bed> msg <It's not there.>
	choice <Experiment around the bed, to see where it might have fallen.> {
		msg <You hang your hand over the edge of the bed, like you're relaxing, then see your hand is over a vent. And looking closely, you see a ring down there!>
		wait <Press a key to continue.>
		say <Thank you. The phone should work now.>
		playerwin
	}
	choice <Around the Room> msg <You don't find it.>
end define

